Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:    	appframework
Version: 	1.03
Release: 	1
Summary: 	Swing Application Framework
License: 	LGPLv2+
URL:     	https://appframework.dev.java.net/
Group:   	Development/Libraries

Source0: 	https://appframework.dev.java.net/downloads/AppFramework-1.03-src.zip
Patch0:  	%{name}-%{version}-no-local-storage.diff
Patch1:  	%{name}-%{version}-openjdk.diff

BuildRequires: 	ant
BuildRequires: 	ant-nodeps
BuildRequires: 	ant-junit
BuildRequires: 	java-devel >= 1:1.6.0
BuildRequires: 	jpackage-utils
BuildRequires: 	swing-layout >= 1.0.3

Requires: 	java >= 1:1.6.0
Requires: 	jpackage-utils
Requires: 	swing-layout >= 1.0.3

BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The JSR-296 Swing Application Framework prototype implementation is a small 
set of Java classes that simplify building desktop applications.

%package javadoc
Summary: Javadoc for %{name}
Group:   Documentation

%description javadoc
Javadoc for %{name}.

%prep

%setup -q -n AppFramework-%{version}

# remove all binary libs
find . -name "*.jar" -exec %{__rm} -f {} \;

%patch0 -b .sav
%patch1 -p1 -b .sav

%build
%{ant} -Dlibs.swing-layout.classpath=%{_javadir}/swing-layout.jar dist

%install
%{__rm} -fr %{buildroot}
# jar
%{__install} -d -m 755 %{buildroot}%{_javadir}
%{__install} -m 644 dist/AppFramework-1.03.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__ln_s} %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
# javadoc
%{__install} -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/*
%doc COPYING README

%files javadoc
%defattr(-,root,root,-)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*

%changelog
* Sun Dec 28 2008 Christian Metzen <metzench@ccux-linux.de> 1.03-1
- Initial release
